# Lamp Tabs [![GitHub license](https://img.shields.io/badge/license-MIT-blue.svg)](https://github.com/thomasJs8/react-lamp-tabs/blob/master/LICENSE) ![test](https://github.com/thomasJs8/react-lamp-tabs/workflows/test/badge.svg) ![lint](https://github.com/thomasJs8/react-lamp-tabs/workflows/lint/badge.svg) [![npm version](https://img.shields.io/npm/v/react-lamp-tabs.svg?style=flat)](https://www.npmjs.com/package/react-lamp-tabs)

An accessible and luminous tab component for React.  

[![Image from Gyazo](https://i.gyazo.com/fdeecc93170c987fdf71b32babf33b78.gif)](https://gyazo.com/fdeecc93170c987fdf71b32babf33b78)

## Installation

To install, you can use [npm](https://npmjs.org/) or [yarn](https://yarnpkg.com):

```bash
npm install react-lamp-tabs
yarn add react-lamp-tabs
```

## Basic Example

```tsx
import * as React from 'react';
import { LampTabs, LampTab } from 'react-lamp-tabs';

const Component:React.FC = () => {
  return (
    <>
      <LampTabs>
        <LampTab>
          <img src="/icons/home.png" alt="home" />
        </LampTab>
        <LampTab>
          <img src="/icons/dashboard.png" alt="dashboard" />
        </LampTab>
        <LampTab>
          <img src="/icons/settings.png" alt="settings" />
        </LampTab>
        <LampTab>
          <img src="/icons/account.png" alt="account" />
        </LampTab>
      </LampTabs>
    </>
  );
}

```

## API

- [`<LampTabs />`](package/LampTabs/README.md)

- [`<LampTab />`](package/LampTab/README.md)

## License

React is [MIT licensed](./LICENSE).
