"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LampTabs = void 0;
const react_1 = __importDefault(require("react"));
const mapElement_1 = require("../lib/mapElement");
const LampTabs_styles_1 = require("./LampTabs.styles");
const LampTabs = react_1.default.memo(({ 'aria-label': ariaLabel = 'lamp-tabs', children, id, role = 'tablist', tabIndex = 0, }) => {
    const [active, setActive] = react_1.default.useState(0);
    const [childrenLength, setChildrenLength] = react_1.default.useState(0);
    react_1.default.useEffect(() => {
        if (Array.isArray(children)) {
            setChildrenLength(children.length);
        }
    }, []);
    const onKeyDown = (ev) => {
        if (ev.which === 39) {
            if (active === childrenLength - 1) {
                setActive(0);
            }
            else {
                setActive((props) => props + 1);
            }
        }
        if (ev.which === 37) {
            if (active === 0) {
                setActive(childrenLength - 1);
            }
            else {
                setActive((props) => props - 1);
            }
        }
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(LampTabs_styles_1.Styled.LampTabsWrapper, { "aria-label": ariaLabel, childrenLength: childrenLength, id: id, role: role, tabIndex: tabIndex, onKeyDown: onKeyDown },
            mapElement_1.mapElement(children, (child, i) => {
                return react_1.default.cloneElement(child, {
                    active: active === i,
                    'aria-selected': active === i,
                    onChangeTab: () => setActive(i),
                });
            }),
            react_1.default.createElement(LampTabs_styles_1.Styled.Tubelight, { activeNum: active },
                react_1.default.createElement(LampTabs_styles_1.Styled.LightRay, null)))));
});
exports.LampTabs = LampTabs;
LampTabs.displayName = 'LampTabs';
