"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Styled = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const LampTabsWrapper = styled_components_1.default.nav `
  position: relative;
  width: ${({ childrenLength }) => 64 * childrenLength}px;
  min-height: 60px;
  display: grid;
  grid-template-columns: repeat(${({ childrenLength }) => childrenLength}, 1fr);
  border-radius: 10px;
  padding: 0 15px;
  background: rgb(0, 0, 0);
  box-shadow: 0 6.7px 5.3px rgba(0, 0, 0, 0.12),
    0 22.3px 17.9px rgba(0, 0, 0, 0.08), 0 100px 80px rgba(0, 0, 0, 0.04);
  overflow: hidden;
`;
const Tubelight = styled_components_1.default.div `
  position: absolute;
  left: ${({ activeNum = 0 }) => 47 + activeNum * 63.98}px;
  top: 0px;
  transform: translateX(-50%);
  width: 45px;
  height: 5px;
  border-radius: 5px;
  background: #ffffff;
  transition: left 400ms ease;
  z-index: 10;
`;
const LightRay = styled_components_1.default.div `
  position: absolute;
  left: -30%;
  top: 5px;
  width: 160%;
  height: 80px;
  clip-path: polygon(5% 100%, 25% 0px, 75% 0px, 95% 100%);
  background: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0.3) -50%,
    rgba(255, 255, 255, 0) 90%
  );
  pointer-events: none;
`;
exports.Styled = {
    LampTabsWrapper,
    Tubelight,
    LightRay,
};
